/*
** 1998-11-26 -	Header for the directory history handling module. Mainly called
**		from the dirpane module.
*/

/* ----------------------------------------------------------------------------------------- */

typedef struct _DHSel	DHSel;

/* ----------------------------------------------------------------------------------------- */

void	dph_leaving_dir(DirPane *dp, const gchar *path);
void	dph_entered_dir(DirPane *dp, const gchar *path);

DHSel *	dph_dirsel_create(DirPane *dp);
void	dph_dirsel_apply(DirPane *dp, DHSel *sel);
void	dph_dirsel_destroy(DHSel *sel);

char *	dph_previous(DirPane *dp);
